> For the complete documentation index, see [llms.txt](https://kb.logicerp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/sale/pull/sale-challan-return.md).

# Sale Challan Return

## Get Sale Challan Return:- LOGIC API PULL - SALE CHALLAN RETURN <a href="#heading" id="heading"></a>

This API is used to fetch Sale Challan Return detail from LOGIC

### **Authorization Detail**

| Name          | Detail                                              |
| ------------- | --------------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/GetSaleChallanReturn> |
| Request Type  | POST                                                |
| Authorization | Basic Auth                                          |
| Username      | Demo                                                |
| Password      | 1                                                   |

### **Request**

```
 
{
    "GlobalModifyCode": "",
    "Doc_Codes": "158",
    "DateFrom":  null,
    "DateTo":  null,
    "Branch_Codes_From": "2"
}
                 
```

### **Response**

```

{
    "GetData": [
        {
            "Vouch_Code": 1,
            "Bill_No": "ESH-1",
            "Bill_Date": "01/02/2023",
            "Bill_Time": "01/02/2023 12:21 PM",
            "Account_Code": "2721",
            "Account_Name": "TEST API",
            "Agent_Name": "NIL",
            "Quantity": -1.0,
            "Gross_Amount": -1799.0,
            "Net_Amount": -2123.0,
            "Total_Tax": "-323.82",
            "Branch_Name": "WAREHOUSE",
            "Branch_Code": 2,
            "Currency_Name": "Rupees",
            "Tax_Region_Name": "CGST/SGST",
            "Action_Code": "N",
            "Type": "CR",
            "Branch_Short_Name": "990",
            "Doc_Prefix": "ESH",
            "Doc_Number": 1,
            "Retail_Cust_Name": "NIL NIL NIL",
            "Retail_Cust_Mobile_No": "0",
            "Retail_Cust_Email_ID": "",
            "SO_Party_Order_No": "",
            "Gr_Number": "",
            "Gr_Date": "",
            "Order_No": "",
            "Order_Date": "",
            "Remarks1": "",
            "Cases": "",
            "Transport_Mode": "",
            "DNParty_Name": "(NIL)",
            "CNParty_Name": "(NIL)",
            "DISPParty_Name": "(NIL)",
            "HANDParty_Name": "(NIL)",
            "POSTParty_Name": "(NIL)",
            "DN_Desc": "",
            "CN_Desc": "",
            "Display_Desc": "",
            "Challan_Date": "",
            "Challan_no": "",
            "DD_Chq": "0",
            "DD_Chq_No": "",
            "DD_Chq_Amt": 0.0,
            "GR_Number_2": "",
            "GR_Date_2": "",
            "Issue_Time": "",
            "Removal_Time": "",
            "Trans_Name": "(NIL)",
            "Remarks2": "16750699490481406274",
            "Remarks3": "",
            "LstItems": [
                {
                    "SL_Txn_Code": 1,
                    "Lot_Code": 883,
                    "Lot_Number": "OPWH",
                    "AddlItemCode": "123456789",
                    "LogicUser_Code": "8903247069255",
                    "PackName": "6 (40)",
                    "CF_1": 1.0,
                    "CF_2": 1.0,
                    "CF_3": 1.0,
                    "Weight": 0.0,
                    "Item_Sale_Rate": 0.0,
                    "Item_Sp_Rate_1": 0.0,
                    "Item_Sp_Rate_2": 0.0,
                    "Item_Sp_Rate_3": 5999.0,
                    "Item_Sp_Rate_4": 0.0,
                    "Item_Sp_Rate_5": 0.0,
                    "Item_Pur_Rate": 952.7,
                    "Item_MRP": 999.0,
                    "HSN_Code": "64039990",
                    "Quantity": 1.0,
                    "Lot_MRP": 5999.0,
                    "Rate": 1799.0,
                    "Tax_Amt_1": 161.91,
                    "Tax_Amt_3": 161.91,
                    "Gross_Amt": 1799.0,
                    "Net_Amt":2123.0,
                    "Round_Amt": -0.18,
                    "Net_Rate": 1799.0,
                    "CD": 0.0,
                    "TD": 0.0,
                    "SP_CD": 0.0,
                    "Scheme_Unit": 0.0,
                    "Scheme_Rs": 0.0,
                    "CD_Per": 0.0,
                    "TD_Per": 0.0,
                    "SP_CD_Per": 0.0,
                    "Sale_Or_SR": "SR",
                    "Lot_Sale_Rate": 0.0,
                    "Lot_Pur_Rate":1361.0,
                    "Lot_Basic_Rate": 1361.0,
                    "Lot_SP_Rate1": 0.0,
                    "Lot_SP_Rate2": 0.0,
                    "Lot_SP_Rate3": 5999.0,
                    "Lot_SP_Rate4": 0.0,
                    "Lot_SP_Rate5": 0.0,
                    "SO_Item_Order_ID": "",
                    "Tax_Amt_2": 0.0,
                    "Tax3WithoutSur": 161.91,
                    "Surcharge": 0.0,
                    "ExciseUnit": 0.0,
                    "AdjustPerUnit": 0.0,
                    "AdjustItem": 0.0,
                    "Freight": 0.0,
                    "AdjustmentRupees": 0.0,
                    "SPDiscount": 0.0,
                    "DebitNote": 0.0,
                    "CreditNote": 0.0,
                    "Display": 0.0,
                    "Handling": 0.0,
                    "Postage": 0.0,
                    "ExcisePercentage": 0.0,
                    "Labour": 0.0 
                }
            ]
        }
    ],
    "Status": true,
    "Message": "",
    "LastGlobalModifyCode": 0
} 

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/sale/pull/sale-challan-return.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
